package top.ninwoo.edgecenter.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import top.ninwoo.utils.service.DockerService;

import java.util.List;

@RestController
public class IndexController {

    @Autowired
    DockerService dockerService;

    @RequestMapping("/index")
    public List<String> index() {
        dockerService.updateContainers();
        List<String> dockerIds = dockerService.getDockerIds();
        return dockerIds;
    }
}
